| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IG.Plot2d.GraphWindowNPlot Class Reference

Stand-alone graph window using NPlot as plotting engine. For layout, GraphWindowTemplate class is inherited. More...

Inheritance diagram for IG.Plot2d.GraphWindowNPlot:
[legend]
Collaboration diagram for IG.Plot2d.GraphWindowNPlot:
[legend]

## Public Member Functions
| GraphWindowNPlot ()
Public Member Functions inherited from IG.Plot2d.GraphWindowTemplate
| GraphWindowTemplate ()

## Protected Member Functions
new void | ResumeLayout ()
| Overridden ResumeLayout() that enables switching on or off the original ResumeLayout() dependent on the value of the ResumeLayoutInInitializeComponent flag. More...
override void | InitializeComponent ()
| Required method for Designer support. More...
Protected Member Functions inherited from IG.Plot2d.GraphWindowTemplate
override void | Dispose (bool disposing)
| Clean up any resources being used. More...
new void | ResumeLayout ()
| Overridden ResumeLayout() that enables switching on or off the original ResumeLayout() dependent on the value of the ResumeLayoutInInitializeComponent flag. More...

## Protected Attributes
NPlot.Windows.PlotSurface2D | pnlGraphNPlot
Protected Attributes inherited from IG.Plot2d.GraphWindowTemplate
System.Windows.Forms.GroupBox | grpControls
System.Windows.Forms.Button | btnClose
System.Windows.Forms.Panel | pnlGraph

## Additional Inherited Members
Properties inherited from IG.Plot2d.GraphWindowTemplate
bool | ResumeLayoutInInitializeComponent`[get, set]`
| Specifies whether layout of the window should be resumed in the InitializeComponents() method. Default is true. This flag can be set to false in the derived classes in order to delay the point in time where layout is resumed. In such a way the layout can be resumed in the overrideen InitCompoinent() method rather than in that method defined in this class (which is called from the original method). More...

## Detailed Description

Stand-alone graph window using NPlot as plotting engine. For layout, GraphWindowTemplate class is inherited.

$A Igor Sept09;

## Constructor & Destructor Documentation

IG.Plot2d.GraphWindowNPlot.GraphWindowNPlot | ( |  | ) |
| inline

## Member Function Documentation

new void IG.Plot2d.GraphWindowNPlot.ResumeLayout | ( |  | ) |
| inline protected

Overridden ResumeLayout() that enables switching on or off the original ResumeLayout() dependent on the value of the ResumeLayoutInInitializeComponent flag.

override void IG.Plot2d.GraphWindowNPlot.InitializeComponent | ( |  | ) |
| inline protected virtual

Required method for Designer support.

Reimplemented from IG.Plot2d.GraphWindowTemplate.

## Member Data Documentation

NPlot.Windows.PlotSurface2D IG.Plot2d.GraphWindowNPlot.pnlGraphNPlot
| protected

The documentation for this class was generated from the following files:

- extensions/igplot2d/plot2d/develop/nplot/GraphWindowNPlot.cs
- extensions/igplot2d/plot2d/develop/nplot/GraphWindowNPlot.Designer.cs